# __gnu_profile::__hashfunc_stack_info Class Reference

A hash performance instrumentation line in the stack table. More...

Inheritance diagram for __gnu_profile::__hashfunc_stack_info:
[legend]

List of all members.

## Public Member Functions

- __hashfunc_stack_info (const __hashfunc_info &__o)
- const char * __advice () const
- void __destruct (size_t __chain, size_t __accesses, size_t __hops)
- bool __is_valid () const
- float __magnitude () const
- void __merge (const __hashfunc_info &__o)
- __stack_t __stack () const
- void __write (FILE *__f) const

## Protected Attributes

- __stack_t _M_stack
- bool _M_valid

## Detailed Description

A hash performance instrumentation line in the stack table.

Definition at line 104 of file profiler_hash_func.h.

The documentation for this class was generated from the following file:

- profiler_hash_func.h